<?php
    error_reporting(E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR);
    $servername = "localhost";
    $username = "gleamtech_amazingqr";
    $password = "gleamtech_amazingqr";
    $mydb = "gleamtech_amazingqr";
    $conn = new mysqli($servername, $username, $password, $mydb);
    if ($conn->connect_error) {
      die("Connection failed: " . $conn->connect_error);
    }
 
  ?>
  


<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>View Customer Details</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
  </head>

    <?php
    
      ?>
  <body>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <br>
    <div class="container">
      <div class="card text-center border-warning mb-3">
        <div class="card-header"><b>View Customer Details</b></div>
        <div class="card-body">
        <div id="error-message" style="color: red;"></div>
            <form id="uploadForm" name="uploadForm" method="post"  enctype="multipart/form-data">

            <div class="container">
                <div class="row">
                    <div class="col-sm-4">
                        <input class="form-control" type="text" name="global_search" id="global_search" placeholder="Search The Customer">
                    </div>  
                </div><br>    
                <div class="row">  
                    <div class="col-12">
                        <table class="table table-bordered" id="customer_table" width="100%">
                            <thead>
                                <tr bgcolor="#3c8dbc">
                                    <th scope="col">S No</th>
                                    <th scope="col">Customer Code</th>
                                    <th scope="col">Customer Name</th>
                                    <th scope="col">Phone No</th>
                                    <th scope="col">Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    $sql_show ="select store_code,store_name,status,phone from db_store where store_code!='' and store_code!='admin'";
                                    $insert_new = $conn->query($sql_show);
                                    $sno=1;
                                    while ($row = $insert_new->fetch_assoc())
                                    {
                                        if($row['status']=='1')
                                        {
                                            $status ='Active'; 
                                            $color='success btn-sm'; 
                                        }
                                        else 
                                        {
                                            $status ='In-active'; 
                                            $color='danger btn-sm'; 
                                        }
                                        echo '<tr>';
                                            echo '<td>'.$sno.'</td>';
                                            echo '<td>'.$row['store_code'].'</td>';
                                            echo '<td>'.$row['store_name'].'</td>';
                                            echo '<td>'.$row['phone'].'</td>';
                                            echo "<td><button type='button'  class='btn btn-$color' onclick=\"javascript:update_status('".$row['store_code']."','".$row['status']."');\">".$status."</button></td>";
                                        echo '</tr>';
                                        $sno++;
                                    }
                                ?>
                            </tbody>
                        </table>
                    </div> 
                </div>       
            </div>             
        </form>
    </div>
    <!-- </div>   -->
  </body>

</html>

<script>

$(document).ready(function() 
{
    $('#global_search').keyup(function()
        {
            var searchText = $(this).val().toLowerCase();
            var rowCount = 0;
            $('#customer_table tbody tr').each(function()
            {
                var rowData = $(this).find('td');
                var found = false;
                rowData.each(function()
                {
                    if($(this).text().toLowerCase().indexOf(searchText) != -1) 
                    {
                        found = true;
                        return false; // Break the loop
                    }
                });
                if(found) {
                    $(this).show();
                    rowCount++;
                } else {
                    $(this).hide();
                }
            });
        });
});

function update_status(code,status)
{
    $.ajax (
    {
        type: 'POST',
        url: "customer_status_up.php",
        data: { 
        action: "updated_customer_status",
            code : code,
            status : status,
        },
        success: function(response) 
        {
            if(response ==1)
            {
                window.location.reload();
            }
            // $("#data_form").html(response);
        }
    });
}

</script>

<style>

    .modal-header 
    {
        display: flex;
        justify-content: space-between; /* Space between title and close button */
        align-items: center; /* Center the items vertically */
        padding: 10px 20px;
        background-color: #3c8dbc; /* Background color for header */
        color: white; /* Text color */
        border-bottom: 1px solid #ddd; /* Optional bottom border */
    }

    #image {
        display: none;
    }

    .card-body 
    {
        max-height: 550px;
        padding: 10px;
        overflow-y: auto; /* Adds vertical scroll if content exceeds max-height */
        background-color: #fff;
        z-index: 999;
    }

    table {
        width: 100%;
        border-collapse: collapse;
    }

    thead, tbody tr {
        display: table;
        width: 100%;
        table-layout: fixed; /* Ensure the columns maintain equal width */
    } 

    tbody {
        display: block;
        max-height: 300px; /* Match this with the container height */
        overflow-y: auto;
    }
</style>
